<!DOCTYPE html>
<html lang="en-US">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body>

<ul>
	<li>AngularJS extends HTML with ng-directives.</li>
	<li>The ng-app directive defines an AngularJS application.</li>
	<li>The ng-model directive binds the value of HTML controls (input, select, textarea) to application data.</li>
	<li>The ng-bind directive binds application data to the HTML view.</li>
</ul>

<div ng-app="" ng-init="firstName='John'">
	<p>Name : <input type="text" ng-model="name"></p>
	<h1>Hello {{name}}</h1>
  
	<hr />
	ng-init="firstName='John'"
	<p>The name is <span ng-bind="firstName"></span></p>
	
	<br />
	<b>Defining expressions in angularJS:</b>
	<p>My first expression: {{ 5 + 5 }}</p>
	
	<hr />
	
	<p>Name: <input type="text" ng-model="name"></p>
	<p>{{name}}</p>
	
</div>


</body>
</html> 